import request from '@/utils/request'

// 查询药品库存列表
export function listFiling(query) {
  return request({
    url: '/healthcare/filing/list',
    method: 'get',
    params: query
  })
}


// 查询药品库存详细
export function getFiling(id) {
  return request({
    url: '/healthcare/filing/' + id,
    method: 'get'
  })
}

// 新增药品库存
export function addFiling(data) {
  return request({
    url: '/healthcare/filing',
    method: 'post',
    data: data
  })
}

// 修改药品库存
export function updateFiling(data) {
  return request({
    url: '/healthcare/filing',
    method: 'put',
    data: data
  })
}

// 删除药品库存
export function delFiling(id) {
  return request({
    url: '/healthcare/filing/' + id,
    method: 'delete'
  })
}